const burgerMenu = document.querySelector('.header--burger-menu'),
	navLinks = document.querySelector('.header--nav-links');

burgerMenu.addEventListener('click', () => {
	navLinks.classList.toggle('openmenu');
	burgerMenu.classList.toggle('toggle-on');
});

const scrollMap = document.querySelector('.header--scroll');

lastScrollTop = 0;

window.addEventListener("scroll", () => {
	const scrollTop = window.pageYOffset || document.createElement.scrollTop;
	if (scrollTop > lastScrollTop) {
		scrollMap.style.top = "-50%";
		navLinks.classList.remove('openmenu');
		burgerMenu.classList.remove('toggle-on');
	} else {
		scrollMap.style.top = "0";
	}
	lastScrollTop = scrollTop;
});